Update the followup settings for an action
PATCH https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/followup-settings
Authorization
Path parameters
Body
followupSettings (object, required)
dynamicChannelSwitching (boolean, required): Whether to dynamically switch channels for followups Example: True
followUpHours (boolean): Whether to respect working hours for followups Example: True
workingHours (object[]): Working hours configuration for followups
dayOfTheWeek (number, required): Day of the week (0=Sunday, 1=Monday, etc.) Example: 1
intervals (object[]): Time intervals for this day
startHour (number, required): Start hour (24-hour format) Example: 9
startMinute (number, required): Start minute Example: 0
endHour (number, required): End hour (24-hour format) Example: 17
endMinute (number, required): End minute Example: 30
timezoneToUse (string): Timezone to use for followups, contact or account Possible values: 'contact', 'business'
Responses
200 - Success
data (object, required): Updated action details
success (boolean, required): Success status of the request Example: True
400 - Bad Request
401 - Unauthorized
422 - Unprocessable Entity
Example
curl -X PATCH 'https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/followup-settings' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"actionIds": [
"edxcfghbnjkimd"
],
"followupSettings": {
"dynamicChannelSwitching": true,
"followUpHours": true,
"workingHours": [
{
"dayOfTheWeek": 1,
"intervals": []
}
],
"timezoneToUse": "contact"
}
}'
const response = await fetch('https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/followup-settings', {
method: 'PATCH',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"actionIds": ["edxcfghbnjkimd"], "followupSettings": {"dynamicChannelSwitching": true, "followUpHours": true, "workingHours": [{"dayOfTheWeek": 1, "intervals": []}], "timezoneToUse": "contact"}}),
});
const data = await response.json();
import os, requests
response = requests.request(
'PATCH',
'https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/followup-settings',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"actionIds": ["edxcfghbnjkimd"], "followupSettings": {"dynamicChannelSwitching": true, "followUpHours": true, "workingHours": [{"dayOfTheWeek": 1, "intervals": []}], "timezoneToUse": "contact"}},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/followup-settings');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'actionIds': ['edxcfghbnjkimd'], 'followupSettings': {'dynamicChannelSwitching': true, 'followUpHours': true, 'workingHours': [{'dayOfTheWeek': 1, 'intervals': []}], 'timezoneToUse': 'contact'}}),
]);
$data = json_decode(curl_exec($ch), true);